/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockReq = testResource.requireMockModule('mock_modules/mock_req'),
    mockRes = testResource.requireMockModule('mock_modules/mock_res'),
    definePageNotFoundMiddleware = require('../../../../serverside/middleware/define_page_not_found_middleware.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Page not found middleware.'] = function (test) {
    var middleware = definePageNotFoundMiddleware({
        filenames: {
            default: testResource.resolveMockFile('mock-html.html')
        }
    });
    test.ok(middleware);
    test.done();
};